package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_COLLECTION_ITEM", schema = "public")
public class MetaCollectionItem {

  @Id
  private Integer id;

  @Column(name = "KEY", nullable = true, length = 100)
  private String key;

  @Column(name = "ITEM", nullable = true, length = 100)
  private String item;

  @Column(name = "ITEM_CLASS", nullable = true, length = 100)
  private String itemClass;

  @ManyToOne
  @JoinColumn(name = "META_ITEM_UNIT_ID", nullable = true)
  private MetaItemUnit metaItemUnit;

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  private Date createDate;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public String getItem() {
    return item;
  }

  public void setItem(String item) {
    this.item = item;
  }

  public String getItemClass() {
    return itemClass;
  }

  public void setItemClass(String itemClass) {
    this.itemClass = itemClass;
  }

  public MetaItemUnit getMetaItemUnit() {
    return metaItemUnit;
  }

  public void setMetaItemUnit(MetaItemUnit metaItemUnit) {
    this.metaItemUnit = metaItemUnit;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }
}
