package com.loafle.overflow.model.meta;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_TARGET_TYPE_CATEGORY", schema = "public")
public class MetaTargetTypeCategory {

  @Id
  private Integer id;

  @ManyToOne
  @JoinColumn(name = "META_INFRA_TYPE_ID", nullable = false)
  private MetaInfraType metaInfraType;

  @Column(name = "KEY", nullable = true, length = 50)
  private String key;

  @Column(name = "NAME", nullable = true, length = 50)
  private String name;

  @Temporal(TemporalType.TIMESTAMP)
  @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
  private Date createDate;

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public MetaInfraType getMetaInfraType() {
    return metaInfraType;
  }

  public void setMetaInfraType(MetaInfraType metaInfraType) {
    this.metaInfraType = metaInfraType;
  }

  public String getKey() {
    return key;
  }

  public void setKey(String key) {
    this.key = key;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }

}
