package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaSensorStatus;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
public interface MetaSensorStatusService {

  @WebappAPI
  List<MetaSensorStatus> readAll() throws OverflowException;

  @WebappAPI
  MetaSensorStatus regist(MetaSensorStatus metaSensorStatus) throws OverflowException;

  @WebappAPI
  MetaSensorStatus readByKey(String key) throws OverflowException;

}
